package sgc.portal.co.co0109.service;

import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0109.dto.CO01090001USearch;
import sgc.portal.co.co0109.persistence.CO01090001UMapper;

@Service
public class CO01090001UService {
    private final CO01090001UMapper mapper;

    public CO01090001UService(CO01090001UMapper mapper) {
        this.mapper = mapper;
    }
    
    public List<EasyHashMap<String, Object>> getList1(CO01090001USearch search) {
        return mapper.getList1(search);
    }
    
    public List<EasyHashMap<String, Object>> getList2(CO01090001USearch search) {
        return mapper.getList2(search);
    }
}
